**文档地址** [http://dev.baijiayun.com/wiki/detail/36](http://dev.baijiayun.com/wiki/detail/36)

live core的变更记录，**请戳**[https://git.baijiashilian.com/open-android/BJLiveCore-Android/-/blob/master/README.md](https://git.baijiashilian.com/open-android/BJLiveCore-Android/-/blob/master/README.md)

## 常规版本 VS 稳定版本的说明
- 常规版本 SDK：三周左右迭代一次，需求迭代较快，云端课堂上线观察无重大崩溃后发版。
- 稳定版本 SDK：从近三个月常规发版遴选，无重大 bug。以 **-stable** 标记。

偏向新功能推荐集成常规版本，偏向稳定推荐集成稳定版本。

## 分支说明
**master 分支为 4.0 SDK 迭代的主分支。新增 master_3.x 分支，为 3.x SDK 对应的分支，原则上不再迭代新功能，仅考虑合入重大修复。**

## changeLog

**3.14.0**之后changelog：https://git2.baijiashilian.com/open-android/BJLiveUI-Android/-/releases

大班课直播UI SDK CHANGELOG 

# 3.13.0 [2022-7-18]

- 【升级】livecore 3.13.0

# 3.12.0 [2022-7-01]

- 【升级】livecore 3.12.1
- 【新增】转盘功能

# 3.10.0 [2022-6-14]

- 【升级】livecore 3.10.1
- 【新增】课程未开始倒计时

# 3.8.3 [2022-5-17]

- 【升级】livecore 3.8.3

# 3.8.0 [2022-4-18]

- 【升级】livecore 3.8.0
- 【优化】计时器交互调整
- 【优化】老师、助教支持1080p

# 3.7.0 [2022-3-24]

- 【升级】livecore 3.7.0
- 【修复】保存问答后问题重复
- 【优化】公用组件移到baseUI

# 3.6.0 [2022-1-10]

- 【升级】livecore 3.6.0
- 【新增】聊天消息兼容打赏内容
- 【修复】公告链接跳转兼容没有浏览器的情况
- 【优化】红包雨移到baseUI

# 3.5.0 [2021-12-22]

- 【升级】livecore 3.5.0
- 【新增】合流直播间教室内切换 CDN 功能
- 【新增】合流大班课支持转播功能

3.4.0 [2021-11-29]
==============
- 【升级】livecore 3.4.0

3.3.0 [2021-11-05]
==============
- 【升级】livecore 3.3.0
- 【新增】音视频硬件检测功能
- 【新增】添加课前问卷功能
- 【新增】线上双师班型一键切换小班学生到大班功能
- 【优化】聊天emoji支持发送GIF动图

3.2.0 [2021-10-15]
==============
- 【升级】livecore 3.2.0
- 【新增】聊天快捷回复
- 【新增】聊天分组信息
- 【新增】聊天举报
- 【优化】设置界面改版

3.0.0 [2021-08-30]
==============
- 【升级】livecore 3.0.0
- 【新增】CDN拉流支持切换分辨率
- 【优化】配置项选择无学生发言时，隐藏邀请发言item
- 【优化】聊天置顶交互
- 【修复】私聊崩溃
- 【修复】4.4及以下机器不兼容矢量图
- 【修复】聊天图片预览偶现崩溃

3.0.0-beta03 [2021-08-17]
==============
> 大版本发布API有变更，建议时间充裕下谨慎升级。（初次依赖可忽视）

- 【升级】livecore 3.0.0-beta03
- 【新增】积分功能
- 【新增】聊天翻译支持多语言
- 【修复】不同分组点赞不显示昵称
- 【修复】双师大班老师不响应小班的点赞

3.0.0-beta01 [2021-07-20]
==============
> 大版本发布API有变更，建议时间充裕下谨慎升级。（初次依赖可忽视）

- 【升级】livecore 3.0.0-beta01
- 【新增】支持智写云笔手写板
- 【优化】用户列表发起的点赞不显示动画效果
- 【优化】聊天图片勾选后直接发送，不再进入裁剪页面
- 【优化】授课时间到了文案优化
- 【修复】已知问题修复

2.6.9 [2021-06-08]
==============
- 【升级】livecore 2.6.9
- 【新增】互动点赞
- 【优化】优化聊天滑动

2.6.8 [2021-05-15]
==============
- 【升级】livecore 2.6.8
- 【新增】新增视频墙和纯视频功能
- 【新增】新增1v1 webrtc课程
- 【新增】新增答题器助教权限控制
- 【修复】推流直播和伪直播助教改为不能下课
- 【修复】已知问题修复

2.6.5 [2021-04-19]
==============
- 【升级】livecore 2.6.5
- 【新增】聊天最大字数调到400
- 【新增】垂直镜像
- 【新增】计时器结束播放音频
- 【新增】主屏公告
- 【新增】主讲人切换后关闭原主讲人音视频（走配置）
- 【修复】已知问题修复

2.6.4 [2021-03-26]
==============
- 【升级】livecore 2.6.4
- 【新增】生成回放确认弹窗
- 【新增】聊天新增角色标签
- 【新增】支持同时显示辅助摄像头
- 【新增】支持助教切主讲
- 【新增】支持越南、印度语言
- 【优化】跑马灯优化

2.6.2 [2021-03-01]
==============
- 【升级】livecore 2.6.1
- 【新增】无感知录制

2.6.1 [2021-02-06]
==============
- 【升级】livecore 2.6.1
- 【修复】进房间loading偶现崩溃问题
- 【修复】ppt被状态栏遮挡问题
- 【修复】底层音视频断开未重连问题

2.6.0 [2021-01-27]
==============
- 【升级】livecore 2.6.0
- 【新增】学生支持私聊助教（走配置）
- 【新增】支持繁体
- 【新增】红包雨发布入口
- 【新增】学生作业入口
- 【优化】大小班进房间loading页统一
- 【优化】私有化material-dialog
- 【升级】升级androidX

2.4.0 [2020-12-03]
==============
- livecore 2.5.0
- 【新增】禁止录屏（需后台配置）
- 【新增】主讲支持外接摄像头
- 【修复】已知问题修复

2.3.1
==============
- livecore 2.4.6
- 【新增】发言列表按设定比例变化
- 【新增】支持视频为主（视频默认占满PPT区域）
- 【修复】已知问题修复

2.3.0
==============
- livecore 2.4.5
- 【新增】聊天消息支持引用
- 【优化】红包雨排行榜信息改为接收老师广播信令
- 【修复】已知问题修复

2.2.8
==============
- livecore 2.4.4
- 修复声音一直使用通话音量问题
- 问答学生区分tab，老师问答加载优化

2.2.6
==============
- livecore 2.4.1
- 红包雨支持手势滑动，各项参数三端统一（强烈建议三端一起升级，否则抢红包效率会不一致）

2.2.5
==============
- livecore 2.4.0
- 同步小班课画笔工具栏
- 支持最多置顶3条消息
- user_update优化，上台才发信令
- 支持镜像
- 大班课支持上传文件
- 增加抽奖功能
- 抢红包生成随机值与配置项比较决定是否丢弃此次请求

2.2.4
==============
- livecore更新到2.3.8
- 右上角主窗口显示主讲人（之前写死为老师）
- 图片资源压缩

2.2.3
==============
- livecore更新到2.3.3
- 支持自定义弹窗
- 修复红包雨排行榜显示数据不准确的bug
- 专注度检测只上报学生
- 屏幕分享和播放视频切到ppt全屏区域

2.2.2
==============
- core更新到2.3.1
- 合流模式，老师退出，不展示老师已离开；主讲人退出才显示。label标签跟随主讲人切换变化
- 多白板话术退出改为确定
- 聊天区滑动背景被拉伸问题fix
- 聊天移到底部优化
- 修复老师关闭摄像头背景图不显示
- 修复老师关闭摄像头后开屏幕共享不显示问题
- 修复问答红点不显示

2.2.1
==============
- core更新到2.3.0
- 课后评价宽度调整
- 增加护眼模式
- 取消只看老师，消息滑动到底部

2.2.0
==============
- core 2.2.7
- 修复用户列表刷新闪烁
- ppt加载超时文案调整

2.1.9
==============
- core 2.2.5
- 默认显示高清，不受配置项控制
- 修复竖屏模板老师音视频开关提示语不对

2.1.8
==============
- 支持ppt、视频区域全屏
- 动态ppt加载超时弹框文案优化，加载成功收起超时提示框
- 设置清晰度按配置隐藏

2.1.6
==============
- 支持配置老师关闭摄像头后的占位图
- 支持聊天置顶
- 计时器分、秒上限均为59
- 修复内存泄漏问题
- 修复后台切前台无红包雨bug
- 其它已知问题修复

2.1.4
==============
- 增加相关配置项
- 计时器优化
- 支持h5课件
- 已知问题修复

2.1.3
==============
- 三分屏：聊天增加私聊、添加邀请发言，允许聊天，踢出教室
- 修复切换教室，断线重连跑马灯有多个
- 问答限制为280字
- 其它已知问题修复

2.1.1
==============
- 新增三分屏模板和1v1模板
- 手机号加密
- 动效PPT加载超时回调UI层提示切换为静态PPT

2.0.8
==============
- live core 更新到2.1.5
- 修复线上崩溃

2.0.7
==============
- 聊天图片上传接口替换
- 登录冲突弹框提示
- 已知问题修复

2.0.4
==============
- 红包雨未抢到新增+0动画， 抢完自动跳转到排行榜
- 聊天撤回 && 表情文字混排
- 答题器、计时器优化
- 录制采集新增720P清晰度
